wbinfo
1

# wbinfo

Pobieraj informacje od demona winbind

          wbinfo
          -u
          -g
          -n nazwa
          -s sid
          -U uid
          -G gid
          -S sid
          -Y sid
          -t
          -m

## OPIS

Ten program jest częścią pakietu Samba.

Program `wbinfo` pyta i zwraca informacje utworzone i wykorzystywane przez `winbindd(8)`.

Demon `winbindd(8)` musi być skonfigurowany i działający, żeby program `wbinfo` mógł zwrócić jakieś informacje.

## OPCJE

-u

  Ta opcja wymieni (pokaże) wszystkich użytkowników dostępnych w domenie Windows NT w której funkcjonuje demon `winbindd(8)`. Użytkownicy we wszystkich zaufanych domenach również będą pokazani. Zwróć uwagę, że ta operacja nie przypisuje identyfikatorów użytkowników do żadnych użytkowników którzy nie są widziani przez `winbindd(8)`.

-g

  Ta opcja wymieni (pokaże) wszystkie grupy dostępne w domenie Windows NT w której funkcjonuje demon `winbindd(8)`. Grupy we wszystkich zaufanych domenach również będą pokazane. Zwróć uwagę, że ta operacja nie przypisuje identyfikatorów grup do żadnych grup które nie są widziane przez `winbindd(8)` .

-n nazwa

  Opcja `-n` pyta `winbindd(8)` o SID przypisany do podanej nazwy. Przed nazwą użytkownika mogą być podane nazwy domen przy użyciu znaku separatora winbind. Na przykład, CWDOM1/Administrator odnosi się do użytkownika Administrator w domenie CWDOM1. Jeśli żadna domena nie jest podana, wtedy użyta jest domena określona w pliku `smb.conf` w parametrze `workgroup`.

-s sid

  Użyj `-s` aby odwzorować SID na nazwę. Jest to odwrócenie opcji `-n` podanej wyżej. SIDy muszą być podane jako łańcuchy znakowe ASCII w tradycyjnym formacie Microsoft. Przykładowo, S-1-5-21-1455342024-3071081365-2475485837-500.

-U uid

  Spróbuj przekonwertować id użytkownika UNIX na Windows NT SID. Jeśli podany uid nie mieści się w zakresie uid winbind'a, wtedy operacja zakończy się niepowodzeniem.

-G gid

  Spróbuj przekonwertować id grupy UNIX na Windows NT SID. Jeśli podany gid nie mieści się w zakresie gid winbind'a, wtedy operacja zakończy się niepowodzeniem.

-S sid

  Przekonwertuj SID na id użytkownika UNIX. Jeśli SID nie odpowiada użytkownikowi UNIX mapowanemu przez `winbindd(8)` wtedy operacja zakończy się porażką.

-Y sid

  Przekonwertuj SID na id grupy UNIX. Jeśli SID nie odpowiada grupie UNIX mapowanej przez `winbindd(8)` wtedy operacja zakończy się porażką.

-t

  Zweryfikuj, czy konto zaufanej stacji roboczej (workstation trust account) utworzone, gdy serwer Samba jest dodany do domeny Windows NT, działa.

-m

  Wykonaj listę domen zaufanych dla serwera Windows NT z którym kontaktuje się `winbindd(8)` przy odwzorowywaniu nazw. Lista ta nie zawiera domeny Windows NT w której ten serwer jest Głównym Kontrolerem Domeny (Primary Domain Controller).

## STATUS WYJŚCIA

Program wbinfo zwraca 0 jeśli operacja zakończy się sukcesem, lub 1 jeśli operacja zakończy się niepowodzeniem. Jeśli demon `winbindd(8)` nie działa, `wbinfo` będzie zawsze zwracał niepowodzenie.

## WERSJA

Ta strona podręcznika jest poprawna dla wersji 2.2 pakietu Samba.

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella . Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

`wbinfo` i `winbindd` zostały napisane przez Tima Pottera.

Konwersja do DocBook dla Samba 2.2 została wykonana przez Geralda Cartera. Tłumaczenie na język polski wykonał Rafał Szcześniak.